# Welcome to Gauge

Gauge is a light weight cross-platform test automation tool. It provides the ability to author test cases in the business language.

Gauge champions the idea of **living/executable documentation**.

Some of its key features include:

* A rich markup based on [markdown](https://en.wikipedia.org/wiki/Markdown)
* Support for writing test code in any programming language. See [Test Code](test_code/README.md) for currently supported languages.
* A modular architecture with [plugin](plugins/README.md) support.
* Consistency across language implementations.

## Why Gauge?

Certain features of Gauge makes it stand unique amongst others. 

*	Consistent Cross Platform/Language Support
* Business Language Tests : Supports the concept of executable documentation
*	Open Source, so it could be shared freely and improved by others as well
*	Simple, Flexible and Rich Syntax
*	Helps you create Maintainable and Understandable test suites
*	Extensible through [Plugins](plugins/README.html) and Hackable
*	Supports External Data Sources
*	IDE Support

## Get started quickly

* Get gauge installers from the [download page](http://getgauge.io/download.html).
* [Create a gauge project](getting_started/creating_a_gauge_project.md)
* [Execute Specifications](execution/README.md)

## Find out more

| **[Technical Docs] [techdocs]**     | **[Setup Guide] [setup]**     | **[Roadmap] [roadmap]**           | **[Contributing] [contributing]**           |
|:-------------------------------------:|:-------------------------------:|:-----------------------------------:|:---------------------------------------------:|
| [![i1] [techdocs-image]] [techdocs]<br>Learn more about Gauge Technical details | [![i2] [setup-image]] [setup]<br> Getting started with Gauge | [![i3] [roadmap-image]] [roadmap]<br>Roadmap of Gauge Project | [![i4] [contributing-image]] [contributing]<br>How can you contribute to Gauge? |


## Questions or need help?

Check out the **[Talk to us] (http://github.com/getgauge/gauge/wiki/Talk-to-us)** page on our wiki.

[techdocs-image]: https://d3i6fms1cm1j0i.cloudfront.net/github/images/techdocs.png
[setup-image]: https://d3i6fms1cm1j0i.cloudfront.net/github/images/setup.png
[roadmap-image]: https://d3i6fms1cm1j0i.cloudfront.net/github/images/roadmap.png
[contributing-image]: https://d3i6fms1cm1j0i.cloudfront.net/github/images/contributing.png

[techdocs]:http://getgauge.io/documentation/getting_started/creating_a_gauge_project.html
[setup]:https://github.com/getgauge/gauge/wiki/Setting-up-Gauge
[roadmap]:http://github.com/getgauge/gauge/wiki/Product-Roadmap
[contributing]:http://github.com/getgauge/gauge/wiki/Contributing

